{ config, pkgs, ... }:

{
  services.caddy = {
    enable = true;
    package = pkgs.callPackage ../pkgs/caddy.nix { };
    email = "nolan@thewordnerd.info";
  };
  age.secrets.tsAuthKey = {
    file = ../secrets/ts_auth_key.age;
    owner = config.services.caddy.user;
    group = config.services.caddy.group;
    mode = "600";
  };
  systemd.services.caddy.serviceConfig.EnvironmentFile = config.age.secrets.tsAuthKey.path;
}
